// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: bus/report-answer.proto

package bus

import (
	proto "github.com/golang/protobuf/proto"
	model "gitlab.com/supply-net/shared/go-grpc/report/model"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type ReportAnswer struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileId     int64             `protobuf:"varint,1,opt,name=fileId,proto3" json:"fileId,omitempty"`
	ReportType *model.ReportType `protobuf:"bytes,2,opt,name=reportType,proto3" json:"reportType,omitempty"` // What report used
}

func (x *ReportAnswer) Reset() {
	*x = ReportAnswer{}
	if protoimpl.UnsafeEnabled {
		mi := &file_bus_report_answer_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReportAnswer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReportAnswer) ProtoMessage() {}

func (x *ReportAnswer) ProtoReflect() protoreflect.Message {
	mi := &file_bus_report_answer_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReportAnswer.ProtoReflect.Descriptor instead.
func (*ReportAnswer) Descriptor() ([]byte, []int) {
	return file_bus_report_answer_proto_rawDescGZIP(), []int{0}
}

func (x *ReportAnswer) GetFileId() int64 {
	if x != nil {
		return x.FileId
	}
	return 0
}

func (x *ReportAnswer) GetReportType() *model.ReportType {
	if x != nil {
		return x.ReportType
	}
	return nil
}

var File_bus_report_answer_proto protoreflect.FileDescriptor

var file_bus_report_answer_proto_rawDesc = []byte{
	0x0a, 0x17, 0x62, 0x75, 0x73, 0x2f, 0x72, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x61, 0x6e, 0x73,
	0x77, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03, 0x62, 0x75, 0x73, 0x1a, 0x1e,
	0x72, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x72, 0x65, 0x70,
	0x6f, 0x72, 0x74, 0x2d, 0x74, 0x79, 0x70, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x5a,
	0x0a, 0x0c, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x12, 0x16,
	0x0a, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x06,
	0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x12, 0x32, 0x0a, 0x0a, 0x72, 0x65, 0x70, 0x6f, 0x72, 0x74,
	0x54, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x72, 0x65, 0x70,
	0x6f, 0x72, 0x74, 0x2e, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0a,
	0x72, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x54, 0x79, 0x70, 0x65, 0x42, 0x5f, 0x0a, 0x07, 0x63, 0x6f,
	0x6d, 0x2e, 0x62, 0x75, 0x73, 0x42, 0x0c, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x41, 0x6e, 0x73,
	0x77, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x28, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61,
	0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x62, 0x75, 0x73, 0xa2,
	0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x0d, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65,
	0x74, 0x2e, 0x42, 0x75, 0x73, 0xca, 0x02, 0x03, 0x42, 0x75, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_bus_report_answer_proto_rawDescOnce sync.Once
	file_bus_report_answer_proto_rawDescData = file_bus_report_answer_proto_rawDesc
)

func file_bus_report_answer_proto_rawDescGZIP() []byte {
	file_bus_report_answer_proto_rawDescOnce.Do(func() {
		file_bus_report_answer_proto_rawDescData = protoimpl.X.CompressGZIP(file_bus_report_answer_proto_rawDescData)
	})
	return file_bus_report_answer_proto_rawDescData
}

var file_bus_report_answer_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_bus_report_answer_proto_goTypes = []interface{}{
	(*ReportAnswer)(nil),     // 0: bus.ReportAnswer
	(*model.ReportType)(nil), // 1: report.ReportType
}
var file_bus_report_answer_proto_depIdxs = []int32{
	1, // 0: bus.ReportAnswer.reportType:type_name -> report.ReportType
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_bus_report_answer_proto_init() }
func file_bus_report_answer_proto_init() {
	if File_bus_report_answer_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_bus_report_answer_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReportAnswer); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_bus_report_answer_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_bus_report_answer_proto_goTypes,
		DependencyIndexes: file_bus_report_answer_proto_depIdxs,
		MessageInfos:      file_bus_report_answer_proto_msgTypes,
	}.Build()
	File_bus_report_answer_proto = out.File
	file_bus_report_answer_proto_rawDesc = nil
	file_bus_report_answer_proto_goTypes = nil
	file_bus_report_answer_proto_depIdxs = nil
}
